package lingtao.net.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import lingtao.net.bean.Product;
import lingtao.net.bean.SysDictSearchPro;

public interface ProductMapper {

	// 价格列表
	List<Product> getProductList(Product product);
	
	// 更新价格
	int updatePriceById(Product product);

	// 得到所有的产品种类
	List<Product> findAllPro();

	// 根据产品种类得到旗下的产品品种
	List<Product> getKindsByPro(@Param("proTypeValue") String proTypeValue);

	// 根据关键字搜索产品菜单
	List<SysDictSearchPro> searchPro(@Param("likeProTypeLabel") String likeProTypeLabel);

	// 价格导入
	void insertSelective(Product vo);

	// 根据种类和品种得到单价，再根据尺寸—数量计算价格
	List<Product> getThanPrice(Product product);

	// 优惠券5位以上1万以内价格
	List<Product> couponThanPrice(Product dto);
	
	// 优惠券位以上1万以内价格
	List<Product> couponThanPrices(Product dto);

	// 优惠券5位以上1万以上价格
	List<Product> couponThousandThanPrice(Product dto);

	// 吊旗/宣传单5位数以上价格计算（同 couponThanPrice）
	List<Product> diaoqiThanPrice(Product dto);

	// 吊旗比优惠券价格贵5/10块钱一位--1万以内
	List<Product> hangingFlagsThanPrice(Product dto);

	// 吊旗比优惠券价格贵10--1万以上的价格
	List<Product> hangingFlagsThousandThanPrice(Product dto);

	// 便签本联单/稿纸超过1千数量的价格
	List<Product> notePaperPrice(Product dto);

	// 优惠券、吊旗、腰封;便签本彩胶纸/红头文件;扇子;超过1万数量的价格
	List<Product> thanThousandPrice(Product dto);

	//慕斯垫价格计算
	List<Product> getMsdPrice(Product dto);

}